> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2publicfunnel booking



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/public/funnel/{id}/booking
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/public/funnel/{id}/booking:
    post:
      tags:
        - Funnel
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                lead_id:
                  type: string
                  format: uuid
                update_token:
                  type: string
                  minLength: 1
                event_type_id:
                  type: string
                  format: uuid
                start_at:
                  type: string
                  format: date-time
                lead_timezone:
                  type: string
              required:
                - lead_id
                - update_token
                - event_type_id
                - start_at
                - lead_timezone
      responses:
        '200':
          description: The lead already booked this exact slot; that booking is returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Booking'
        '201':
          description: Booking created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Booking'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    Booking:
      type: object
      properties:
        id:
          type: string
          format: uuid
        start_at:
          type: string
        end_at:
          type: string
        location_kind:
          type: string
          enum:
            - phone
            - in_person
            - link
            - generated
      required:
        - id
        - start_at
        - end_at
        - location_kind
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.